This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: [RFA] lmemmem.patch


Doug Evans wrote:

> I have an fc8 system which has the same text.   It ends with
> 
> GNU                               1998-01-13                         MEMMEM(3)
> 
> glibc2.1 is pretty old.

Indeed, 2.1 was released at or around 1999-02-03.

Doug Evans wrote:

> >  gnulib's memmem is LGPLv2+.
> 
> That's what it says here:
> http://www.gnu.org/software/gnulib/MODULES.html#module=memmem
> [click on "memmem"]
> 
> But unless I'm looking at the wrong repository, it says GPL in the source file.
> http://git.sv.gnu.org/gitweb/?p=gnulib.git;a=summary
> 
> Maybe the change was accidental.  The log for the commit that changed
> it says "Sync with glibc."  Presumably it'll be ok to change it back,
> IWBN to copy the implementation to glibc, but that may be just wishful
> thinking.

The way gnulib works, the files are stored in the repository with GPL
but when installed into ones project with gnulib-tool the license is
rewritten as appropriate if the user requested LGPL.

Also, the memmem in gnulib may have started out as a glibc fork but it
is very much improved in performance, see
<http://lists.gnu.org/archive/html/bug-gnulib/2008-01/msg00031.html>.

Brian


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]